Kazam 0.1 released!

Hi everyone.

Remember back on June 29th when I introduced ‘a screencaster called Kazam‘ ? Well I am happy to announce that today Kazam has its first release!

Kazam is fully working, all the way from recording, to exporting to popular video sharing sites.

Although some features shown in the mockups (such as the quality slider and cropping capability) are not yet implemented, I am very proud of what has been and I already find it very useful!

But how can I help?

Now that we have our first release, I need help from all of you! I will have less time to work on Kazam going forward, and whilst I will still maintain it and add new features slowly, I really need for a community to build around it so that I get some help :)

You don’t need to be a developer to help out, below are some ideas that you could help with:

  • Artistswe need a logo for Kazam. I have no ideas as of yet so please present them to me, maybe file a bug and get a few ideas together!
  • Translators – Kazam has been set up in Launchpad to translate (ping me if it doesn’t work, this is my first time :D) and so we need you to translate it into any language that you know!
  • PyGTK Developers – start hacking on the GUI. Maybe you can find some bugs, make things cleaner, more prettier, implement some stuff in the mockups… whatever! You can choose what you want to work on!
  • GStreamer Developers – I really want Kazam to use GStreamer (it is currently using ffmpeg calls) however I have no expertise in this. Any GStreamer knowledge would be greatly appreciated, from porting the recording backend over to Gstreamer, implementing the quality slider/cropping functions in GStreamer. Again you choose what you want to work on!
  • Bug triagersTEST TEST TEST! Kazam has only had the privelledge of me testing it at the moment and so I welcome bugs with open arms so that we can polish Kazam to perfection!
  • Any Developers/Enthusiastic Users – at the moment we have two export sources, for YouTube and VideoBin. However we need more export sources! You don’t need to be a genius to work out how to make one. Use the easy-to-use guide and you can have one working in a very short time!

All in all, I would really appreciate any help you can offer so that we can make Kazam AWESOME!

But how do I get Kazam?

Installing and running Kazam is really easy. Just add our daily builds PPA:

ppa:and471/kazam-daily-builds

Then update and upgrade your packages and you are done!

You will then find Kazam in Applications > Sound and Video > Kazam Screencaster

Help Me!

If you have any trouble:

  • File a bug in Launchpad
  • Ping me on irc (and471, on freenode.net)
  • Send me an email through Launchpad
  • Shout really really loud!


Links

About these ads

45 responses to “Kazam 0.1 released!

  1. It doesn’t work in Maverick because it depends on libmatroska0 while this in Maverick is called libmatroska2

  2. Pingback: Kazam 0.1 available – The screencasting bar on Linux just got raised

  3. UnknownDevice

    Installation fails for me on 10.04

    Here’s the details:

    installArchives() failed: Selecting previously deselected package kazam.

    (Reading database …
    (Reading database … 5%
    (Reading database … 10%
    (Reading database … 15%
    (Reading database … 20%
    (Reading database … 25%
    (Reading database … 30%
    (Reading database … 35%
    (Reading database … 40%
    (Reading database … 45%
    (Reading database … 50%
    (Reading database … 55%
    (Reading database … 60%
    (Reading database … 65%
    (Reading database … 70%
    (Reading database … 75%
    (Reading database … 80%
    (Reading database … 85%
    (Reading database … 90%
    (Reading database … 95%
    (Reading database … 100%
    (Reading database … 168923 files and directories currently installed.)

    Unpacking kazam (from …/kazam_0+51~lucid1_all.deb) …

    Processing triggers for hicolor-icon-theme …

    Processing triggers for desktop-file-utils …

    Processing triggers for python-gmenu …

    Rebuilding /usr/share/applications/desktop.en_GB.UTF8.cache…

    Processing triggers for python-support …

    Setting up kazam (0+51~lucid1) …

    Compiling /usr/lib/python2.6/dist-packages/kazam/version.py …

    Sorry: IndentationError: (‘unexpected indent’, (‘/usr/lib/python2.6/dist-packages/kazam/version.py’, 2, 4, ” VERSION=’0.1’\n”))

    pycentral: pycentral pkginstall: error byte-compiling files (26)

    pycentral pkginstall: error byte-compiling files (26)

    dpkg: error processing kazam (–configure):

    subprocess installed post-installation script returned error exit status 1

    Errors were encountered while processing:

    kazam

    Setting up kazam (0+51~lucid1) …

    Compiling /usr/lib/python2.6/dist-packages/kazam/version.py …

    Sorry: IndentationError: (‘unexpected indent’, (‘/usr/lib/python2.6/dist-packages/kazam/version.py’, 2, 4, ” VERSION=’0.1’\n”))

    pycentral: pycentral pkginstall: error byte-compiling files (21)

    pycentral pkginstall: error byte-compiling files (21)

    dpkg: error processing kazam (–configure):

    subprocess installed post-installation script returned error exit status 1

  4. Hmm I should have used a different name… now the comments are confusing :D

  5. Wow, this looks pretty great, nice work!

  6. Nice work! Keep going :) My problem is that i won’t install on my 64-bit lucid. I reported a bug at launchpad.

  7. mpt

    “Hey”, I thought, “that YouTube login dialog looks vaguely familiar”. Then I realized whose Web site I was on. Good job.

  8. gone

    Tried installing on Ubuntu 10.04 and got this error.

    Compiling /usr/lib/python2.6/dist-packages/kazam/version.py …
    Sorry: IndentationError: (‘unexpected indent’, (‘/usr/lib/python2.6/dist-packages/kazam/version.py’, 2, 4, ” VERSION=’0.1’\n”))
    pycentral: pycentral pkginstall: error byte-compiling files (26)
    pycentral pkginstall: error byte-compiling files (26)
    dpkg: error processing kazam (–configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    kazam
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  9. If you’re getting an error installing in Lucid or Maverick, try this:

    gksudo gedit /usr/lib/python2.6/dist-packages/kazam/version.py

    Remove all spaces before the four lines in the file. Then update and reinstall.

  10. Kazade

    Good job Andrew! Congrats on the first release :)

    When Kazam takes over the world, my claim to fame can be the first bug reporter + external patch submitter :D

  11. Pingback: VideoBin: Ein Pastebin für Videos | Linux und Ich

  12. fabio

    Hi, I use lucid and I try to install kazam. I get an error:

    I seguenti pacchetti hanno dipendenze non soddisfatte:
    kazam: Dipende: libavcodec-52 ma non è installabile
    E: Pacchetto danneggiato

    There is a problem with libavcodec-52.

  13. dakira

    Hi, great stuff. For me, there are just 3 things on the wishlist and this thing would be perfect ;-)

    (in order of importance)
    1. allow capturing of a certain area
    2. allow mouse-follow so that the defined capture-area follows the mousepointer
    3. integrate screenkey from launchpad.net/screenkey

    Anyway. What amazes me most, is that this just works. Audio and Video are in sync, no frames seem to be dropped and there is no waiting for stuff to be encoded.

    How exactly are you doing it? How is it possible that I can record my fullscreen 1680×1050 with compiz effects on my low-end machine and everything is still fluent? I would love to know some details if they’re not trade-secrets ;)

    • Hi dakira, thanks for the kind words :)

      1 & 3) Yup these are on my wishlist as well :D
      2) Hmm.. this would be interesting as well, however would require more work

      No, not trade-secrets (yet!) we just encode to a lossless h264 file in a matroska container. the advantage of this, is that we use the superfast, lossless preset, which means that little compression is used, making it not drop many frames :)

  14. Pingback: Try Kazam, A New Screencasting Application For Linux | Exclusive XP4G

  15. Bob

    how bout a deb file… i don’t know how to add the ppa…

    • Hey Bob, to add the PPA and install kazam, run the following commands:

      sudo add-apt-repository ppa:and471/kazam-daily-builds
      sudo apt-get update
      sudo apt-get install kazam ffmpeg

      And you are done! :)

  16. romar

    now i can’t update after adding this ppa. >:(

    E: Type ‘n’ is not known on line 2 in source list /etc/apt/sources.list.d/and471-kazam-daily-builds-lucid.list
    E: Type ‘n’ is not known on line 2 in source list /etc/apt/sources.list.d/and471-kazam-daily-builds-lucid.list
    E: The list of sources could not be read.
    E: Type ‘n’ is not known on line 2 in source list /etc/apt/sources.list.d/and471-kazam-daily-builds-lucid.list
    E: The list of sources could not be read.
    E: Type ‘n’ is not known on line 2 in source list /etc/apt/sources.list.d/and471-kazam-daily-builds-lucid.list
    E: Couldn’t read list of package sources

  17. tester

    please add select area recording support and i will start using it :)

    thnx great work so far

  18. Pingback: Kazam 0.1 released! (via andrew@thisblog) « Neojames13's Blog

  19. Pingback: New 64-bit Flash! Samsung Galaxy Tab, Diaspora Releases, Linus a Citizen? | This Week In Linux

  20. Bash

    Can you please make a repo for debian sid!

  21. nadres mazo

    hola amigo lo app no estan funcionando estoy super intesado en instalar lo pero no encuentro como estoy utilizando ubuntu 11.04 naty y

  22. tkvkp

    hi there.
    I m dealing a problem recording audio and video at the same time.
    the .mkv file cannot be saved
    When i choose only video capture there is not a problem at all.
    i m using linux mint lxde(it uses alsa mixer)

  23. Hello,

    A debian repo is needed for debian users. Please don’t forget us.
    Thanks

    • There are no packages for oneiric, either download Kazam from launchpad
      bzr branch lp:kazam

      Or in /etc/apt/sources.d/
      edit the kazam ppa file and replace oneiric with lucid or an earlier release name (though bear in mind Kazam is not supported on oneiric)

  24. Legion

    Tried to install in Ubuntu 11.10 with daily build ppa and i get this errors:

    kazam:
    Depende de: libmatroska0 but it is not installable o
    libmatroska2 pero no es instalable o
    libmatroska3 pero no es instalable
    Depende de: libavdevice52 but it is not installable o
    libavdevice-extra-52 pero no es instalable

    libmatroska4 and libavdevice53 are installed instead on oneiric

    Thx for this great app, ;)

  25. Dear,
    need a .deb for debian also

    Thanks

  26. Pingback: Kazam: Ο πιο εύκολος τρόπος να κινηματογραφήσετε το desktop σας!

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Follow

Get every new post delivered to your Inbox.

%d bloggers like this: